PostgreSQL 8.4.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP SERVER

## Name

DROP SERVER -- remove a foreign server descriptor

## Synopsis

    DROP SERVER [ IF EXISTS ] servername [ CASCADE | RESTRICT ]

## Description

`DROP SERVER` removes an existing foreign server descriptor. To execute this command, the current user must be the owner of the server.

## Parameters

`IF EXISTS`

  Do not throw an error if the server does not exist. A notice is issued in this case.

`servername`

  The name of an existing server.

`CASCADE`

  Automatically drop objects that depend on the server (such as user mappings).

`RESTRICT`

  Refuse to drop the server if any objects depend on it. This is the default.

## Examples

Drop a server `foo` if it exists:

    DROP SERVER IF EXISTS foo;

## Compatibility

`DROP SERVER` conforms to ISO/IEC 9075-9 (SQL/MED). The `IF EXISTS` clause is a PostgreSQL extension.

## See Also

CREATE SERVER, ALTER SERVER

Prev | Home | Next
DROP SEQUENCE | Up | DROP TABLE